

uniform mat4 u_m44ModelViewProjection;
uniform mat4 u_m44Model;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;

varying mediump vec2 v_v2TexCoord;
varying lowp vec3 v_v3WorldPosition;

uniform highp vec3 u_v3EyePosition;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = u_m44ModelViewProjection * a_v4Position;

    v_v3WorldPosition = (u_m44Model * a_v4Position).xyz - u_v3EyePosition;
}

