

layout(set = 1, binding = 0) uniform U1
{
	mat4 m44ModelViewProjection;
	mat4 m44Texture;
	vec4 v4Color;
} u;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out mediump vec2 v_v2TexCoord;
out lowp vec4 v_v4Color;

void main() 
{
//	v_v2TexCoord.x = dot(a_v2TexCoord, u.m44Texture[0].xy);
//	v_v2TexCoord.y = dot(a_v2TexCoord, u.m44Texture[1].xy);
	v_v2TexCoord = (u.m44Texture * vec4(a_v2TexCoord, 0, 1)).xy;
	v_v4Color.xyz = u.v4Color.xyz;
	v_v4Color.w = u.v4Color.w * a_v2TexCoord.y * 2.0;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

