precision highp float;

layout(location = 0) out vec4 out_v4Color;

layout(binding = 1) uniform U
{    
	vec3 v3LightColor;
} u;

layout(location = 0) in lowp vec3 v_v3Normal;
layout(location = 1) in vec3 v_v3LightDir;

void main() 
{
	vec3 v3Light = u.v3LightColor * (0.7 + (dot(v_v3Normal, v_v3LightDir) * 0.3));
	out_v4Color = vec4(v3Light, 1.0);	
}
