

layout(set = 1, binding = 0) uniform U1
{
	mat4 m44ModelViewProjection;
	mat4 m44Model;
	//lowp mat3 m33NormalTransform;
} u1;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;
//in vec4 a_v4Color;

out mediump vec2 v_v2TexCoord;
out lowp vec3 v_v3WorldPosition;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = u1.m44ModelViewProjection * a_v4Position;

    v_v3WorldPosition = (u1.m44Model * a_v4Position).xyz;
}
