#include "include.h"

layout( push_constant ) uniform PushConstants
{
    mat4 m44ModelViewProjection;
	float fTop;
	float fBottom;
} u;


in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec4 a_v4Color;
#ifdef TEXTURE_SDF
in float a_fThreshold;
#endif
out vec2 v_v2TexCoord;
out vec4 v_v4Color;
#ifdef TEXTURE_SDF
out float v_fThreshold;
#endif
void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v4Color = sRGB_to_UNORM(a_v4Color);
#ifdef TEXTURE_SDF
	v_fThreshold = a_fThreshold;
#endif
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

