
layout( push_constant ) uniform PushConstants
{
    mat4 m44ModelViewProjection;
    mat4 m44Model;
} p;


in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out vec2 v_v2TexCoord;
out vec3 v_v3WorldPosition;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = p.m44ModelViewProjection * a_v4Position;	
	v_v3WorldPosition = (p.m44Model * a_v4Position).xyz;
}
