

layout( push_constant ) uniform PushConstants
{
	float fRatio;
	float fReduceRadius;
} u;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out vec2 v_v2TexCoord;
out vec2 v_v2Pos;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = a_v4Position;
	v_v2Pos = gl_Position.xy * vec2(u.fRatio, 1.0);
}

