layout( push_constant ) uniform PushConstants
{
    layout(offset=0) mat4 m44ModelViewProjection;
} u;

in vec4 a_v4Position;
in vec3 a_v3MatrixX;

out lowp vec3 v_v3Normals;

void main() 
{
	v_v3Normals = a_v3MatrixX;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

