
layout(binding = 0) uniform U
{    
	mat4 m44ModelViewProjection;
	mat3 m33SpecularRotation;
	mediump vec3 v3EyePosition;
	lowp float fRewindEffect;
	lowp float fBrightness;
} u;

layout(location = 0) out vec4 out_v4Color;
layout(location = 0) in vec2 v_v2TexCoord;

layout(set = 1, binding = 1001) uniform sampler2D tex;

void main() 
{
	vec4 v4Texture = texture(tex, v_v2TexCoord);
	out_v4Color = v4Texture;	
}
