
//precision lowp float;

layout(push_constant) uniform C
{
    mat4 m44ModelViewProjection;
	vec4 v4Color;
} c;

layout(location = 0) out vec4 out_v4Color;

layout(binding = 1001) uniform sampler2D tex;

in vec2 v_v2TexCoord;

void main() 
{
	vec4 v4Texture = texture(tex, v_v2TexCoord);
	out_v4Color = v4Texture * c.v4Color;	
}
