
layout( push_constant ) uniform PushConstants
{
    layout(offset=0) mat4 m44ModelViewProjection;
} p;

layout(location = 0) in vec4 a_v4Position;
layout(location = 1) in vec2 a_v2TexCoord;
layout(location = 2) in vec3 a_v3Color;

layout(location = 0) out vec2 v_v2TexCoord;
layout(location = 1) out vec3 v_v3Color;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v3Color = a_v3Color;
	gl_Position = p.m44ModelViewProjection * a_v4Position;
}

