
//precision lowp float;

layout(location = 0) out vec4 out_v4Color;

layout(set = 1, binding = 1001) uniform sampler2D tex;
layout(set = 2, binding = 1002) uniform sampler2D texMask;

in vec2 v_v2TexCoord;
in vec2 v_v2TexCoord2;
in vec4 v_v4Color;

void main() 
{
	vec4 v4Texture = texture(tex, v_v2TexCoord);
	vec4 v4TextureMask = texture(texMask, v_v2TexCoord2);
	out_v4Color = v4TextureMask * v4Texture * v_v4Color;
}
