
//precision mediump float;

layout(location = 0) out vec4 out_v4Color;

layout (set = 1, binding = 1001) uniform sampler2D tex;
layout (set = 2, binding = 1002) uniform sampler2D texMask;

in mediump vec2 v_v2TexCoord;
in mediump vec2 v_v2TexCoord2;
in lowp vec4 v_v4Color;
in mediump float v_fAlphaVFade;

void main() 
{
	float fAlpha = v_fAlphaVFade;
	vec4 v4Color = v_v4Color;
	if (fAlpha > 1.0)
		fAlpha = 1.0;
	v4Color.a *= fAlpha;
	vec4 v4Texture = texture(tex, v_v2TexCoord/*, 1.0*/);
	vec4 v4TextureMask = texture(texMask, v_v2TexCoord2/*, 1.0*/);
	out_v4Color = v4TextureMask * v4Texture * v4Color;
}
