
layout(set = 0, binding = 0) uniform U
{
    mat4 m44ModelViewProjection;
} u;

layout( push_constant ) uniform PushConstants
{
	float fTop;
	float fBottom;
} u2;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec2 v_v2TexCoord2;
in vec4 a_v4Color;

out mediump vec2 v_v2TexCoord;
out lowp vec4 v_v4Color;
out mediump float v_fAlphaVFade;



void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v4Color = a_v4Color;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
	float fClamp = (a_v4Position.y - u2.fTop) * 0.02;
	float fClampB = (a_v4Position.y - u2.fBottom) * -0.02;
	if (fClamp > fClampB)
		fClamp = fClampB;	
	v_fAlphaVFade = fClamp;
}

