

uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec4 a_v4Color;

varying vec2 v_v2TexCoord;
varying vec4 v_v4Color;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v4Color = (a_v4Color * (1.0 / 255.0)) * vec4(2.0, 2.0, 2.0, 1.0);;
	gl_Position = u_m44ModelViewProjection * a_v4Position;
}

