
layout(set = 0, binding = 0) uniform U
{
	mat4 m44ModelViewProjection;
	mat4 m44Texture;
} u;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out vec2 v_v2TexCoord;

void main() 
{
	v_v2TexCoord = (u.m44Texture * vec4(a_v2TexCoord, 0, 1)).xy;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

