precision highp float;

layout(binding = 0) uniform U
{    
	mat3 m33SpecularRotation;
	mediump vec3 v3LightDir;
} u;


#ifdef ALPHA
in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec2 a_v2TexCoord3;
in vec3 a_v3Normal;
#else
in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec2 a_v2TexCoord3;
in vec4 a_v4Color;
in vec4 a_v4Color2;
in vec3 a_v3Normal;
#endif

out lowp vec3 v_v3Normal;
out vec3 v_v3LightDir;

void main() 
{
	v_v3Normal = a_v3Normal * u.m33SpecularRotation;
	v_v3LightDir = normalize(u.v3LightDir);

	gl_Position = vec4((a_v2TexCoord3.x - 0.5) * 2.0, (a_v2TexCoord3.y - 0.5) * 2.0, 0.0, 1.0);
}

