layout(set = 0, binding = 0) uniform U
{
	mat4 m44ModelViewProjection;
	mat4 m44Texture;
} u;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec2 a_v2TexCoord2;

out mediump vec2 v_v2TexCoord;
out mediump vec2 v_v2TexCoord2;

void main() 
{
	// The grip was UV mapped upside down... the original map was noise so it was probably hard to tell. Just rotate the UVs in the shader and all works with screen grabs correctly
	v_v2TexCoord = (u.m44Texture * vec4(a_v2TexCoord, 0, 1)).xy;
	v_v2TexCoord += 0.5;
	v_v2TexCoord2 = a_v2TexCoord2;
	v_v2TexCoord2.x *= 2.0;
	v_v2TexCoord2.y *= 4.0;

	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

