layout(location = 0) out vec4 out_v4Color;

layout(set = 0, binding = 1001) uniform lowp sampler2D tex1;
layout(set = 0, binding = 1002) uniform lowp sampler2D tex2;

in mediump vec2 v_v2TexCoord;

void main() 
{
	lowp float diffuse = texture(tex1, v_v2TexCoord).r;
	lowp vec2 coords = gl_FragCoord.xy / 512.0;
	lowp vec4 WearSpecAo = texture(tex2, coords);
	WearSpecAo.r = diffuse;
	out_v4Color = WearSpecAo;	
}
