
layout( push_constant ) uniform PushConstants
{
    layout(offset=0) mat4 m44ModelViewProjection;
} u;

layout(location = 0) in vec4 a_v4Position;
layout(location = 1) in vec2 a_v2TexCoord;
layout(location = 2) in vec2 a_v2TexCoord2;

layout(location = 0) out vec2 v_v2TexCoord;
layout(location = 1) out vec2 v_v2WearAndRandSeed;

void main() 
{
    v_v2TexCoord = a_v2TexCoord;
    v_v2WearAndRandSeed = a_v2TexCoord2;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}
