


layout(binding = 0) uniform U
{    
	mat4 m44ModelViewProjection;
	mat3 m33SpecularRotation;
	mediump vec3 v3EyePosition;
	lowp float fRewindEffect;
	lowp float fBrightness;
} u;


layout(location = 0) in vec4 a_v4Position;
layout(location = 1) in vec2 a_v2TexCoord;

layout(location = 0) out vec2 out_v2TexCoord;

void main() 
{
	out_v2TexCoord = a_v2TexCoord;
	gl_Position = u.m44ModelViewProjection * a_v4Position;
}

