

layout(push_constant) uniform C
{
    mat4 m44ModelViewProjection;
	vec4 v4Color;
} c;


in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out vec2 v_v2TexCoord;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = c.m44ModelViewProjection * a_v4Position;
	//subtract a tiny ammount to avoid z fighting with the far plane
	gl_Position.z = gl_Position.w - 0.0001; // this could be done with the matrix!
}

