
layout(location = 0) out vec4 out_v4Color;
layout(binding = 1001) uniform sampler2D tex;
layout(location = 0) in vec2 v_v2TexCoord;
layout(location = 1) in vec3 v_v3Color;
void main() 
{
	vec4 v4Texture = texture(tex, v_v2TexCoord);// 0.045;
	v4Texture.rgb *= v_v3Color;

	if (v4Texture.r >= 0.5)
		v4Texture.rgb = vec3(0.5, 0.5, 0.5) - (v4Texture.rgb - vec3(0.5, 0.5, 0.5)) * 2.0;

	out_v4Color = v4Texture;
}
