

layout(set = 1, binding = 1) uniform U
{    
	mat4 m44ModelViewProjection;
	mat4 m44Model;
	vec2 v2WearOffset;
	vec2 v2WearScale;
} u;

in vec4 a_v4Position;
in vec2 a_v2TexCoord;

out vec2 v_v2TexCoord;
out vec3 v_v3WorldPosition;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	gl_Position = u.m44ModelViewProjection * a_v4Position;	
	v_v3WorldPosition = (u.m44Model * a_v4Position).xyz;
}