layout( push_constant ) uniform PushConstants
{
    layout(offset=16) mat4 m44ModelViewProjection;
	layout(offset=80) float fSize;
} u;

in vec4 a_v4Position;
in vec3 a_v3Normal;

void main() 
{
	vec4 v4Pos = a_v4Position;
	v4Pos.xyz += a_v3Normal * u.fSize;
	gl_Position = u.m44ModelViewProjection * v4Pos;
}

