
layout( push_constant ) uniform PushConstants
{
    layout(offset=0) mat4 m44ModelViewProj;
} u;


in vec4 a_v4Position;
in vec2 a_v2TexCoord;
in vec4 a_v4Color;

out vec2 v_v2TexCoord;
out vec4 v_v4Color;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v4Color = a_v4Color;
	gl_Position = u.m44ModelViewProj * a_v4Position;
}

