
//precision mediump float;

layout(location = 0) out vec4 out_v4Color;

layout(set = 1, binding = 1001) uniform sampler2D tex;

in mediump vec2 v_v2TexCoord;
in lowp vec4 v_v4Color;
in mediump float v_fAlphaVFade;

void main() 
{
	float fAlpha = v_fAlphaVFade;
	vec4 v4Color = v_v4Color;
	if (fAlpha > 1.0)
		fAlpha = 1.0;
	v4Color.a *= fAlpha;
	vec4 v4Texture = texture(tex, v_v2TexCoord);
	out_v4Color = v4Texture * v4Color;	
}
