
layout(location = 0) out vec4 out_v4Color;
layout(binding = 1001) uniform sampler2D tex;
layout(location = 0) in vec2 in_v2TexCoord;

layout( push_constant ) uniform PushConstants
{
    layout(offset=64) vec4 v4Color;
} u_pushConstants;


void main() 
{
	vec4 v4Texture = texture(tex, in_v2TexCoord);
	out_v4Color = v4Texture * u_pushConstants.v4Color;	
}
